Subject: [bug#69552] [PATCH vREVISION 1/2] gnu: Add cyclone-bootstrap.

From: TakeV <[email-masked]>
Date: Wed, 13 Mar 2024 08:32:53 -0400

On 3/13/24 08:12, Christopher Baines wrote:

> tags 69552 + moreinfo
> user guix
> usertag 69552 - reviewed-looks-good
> quit
>
> TakeV via Guix-patches via <[email-masked]> writes:
> I've had a look at this and I'm concerned about the bootstrapping
> approach. If you look at cyclone.c, I'm pretty sure that's not the
> preferred form for editing and it doesn't look like that from the
> commits.
>
> Maybe there are things already in Guix that are similarly bad, but I
> don't think that alone is sufficient to include more.

Do you mean the package is wrong, or cyclone itself is not going about 
it the correct way? The instructions for building from source specify 
that this is the intended way of handling it.